#!/bin/sh

HOOK_DIR="/var/packages/USBCopy/target/hook"
PKG_INFO="${HOOK_DIR}/pkg-info"
USBCOPY_HOOK="${HOOK_DIR}/usbcopy-hook"

case $1 in
	# print package info
	--name|--pkg-ver|--vendor)
		${PKG_INFO} $1
	;;

	# print SDK module version
	--sdk-mod-ver)
		${USBCOPY_HOOK} --sdk-mod-ver
	;;

	# execute post hook
	--post)
		${USBCOPY_HOOK} --post-usbcopy
	;;

	*)
	;;
esac
